Autor Tópico: Tutorial para HSP56 MR driver Smartlink  (Lida 953648 vezes)

Offline maxtavarest

  • Usuário Ubuntu
  • *
  • Mensagens: 1
  • sou aluno de vcs, tenham paciencia
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #825 Online: 28 de Dezembro de 2008, 11:11 »
alarcon ,sou iniciant em linux e estou c ubunbu 8.1, apanhando que só, mal sei windows, meu é discado e não estou conseguind me conectar internet. obrigad
olá comunidade, sou iniciante e gostaria de aprender a usar os recursos do ubuntu linux, ainda não aprendi a acessar internet c linux, me ajudem, obrigado max

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #826 Online: 28 de Dezembro de 2008, 15:50 »
alarcon ,sou iniciant em linux e estou c ubunbu 8.1, apanhando que só, mal sei windows, meu é discado e não estou conseguind me conectar internet. obrigad

Você poderia informar qual é o seu modem?

Para isso forneça-me o resultado dos comandos:

lspci

e

lspci -n

executados no terminal do Ubuntu (menu Aplicações > Acessórios > Consola ou Terminal)

Agora o melhor mesmo para conexões discadas é continuar usando o Ubuntu 8.04 32bits, pois para esta versão do Ubuntu é mais fácil encontrar driver de softmodems (Smartlink, Conexant, Agere/Lucent e etc.)
« Última modificação: 28 de Dezembro de 2008, 18:47 por alarcon »

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #827 Online: 28 de Dezembro de 2008, 15:52 »
Faça assim:

sudo chmod u+s /usr/sbin/pppd

depois verifica novamente o comando:

ls -la /usr/sbin/pppd

e vê se agora aparece isso:

-rwsr-xr-- 1 root dip 277160 2008-11-20 17:58 /usr/sbin/pppd


risaldocosta@peace:~$ sudo chmod u+s /usr/sbin/pppd
[sudo] password for risaldocosta:
risaldocosta@peace:~$ ls -la /usr/sbin/pppd
-rwSr-xr-- 1 root dip 273064 2008-10-15 22:51 /usr/sbin/pppd
risaldocosta@peace:~$



Aguardando seu contato.
Desde já obrigado.

Mas que coisa, esperava que aparecesse um s e não um S.

Por hora não sei mais o que dizer. :-\


Risaldo Costa

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #828 Online: 28 de Dezembro de 2008, 18:41 »
Alarcon, acabei de resolver o problema e agora posso conectar normalmente sem o terminal.

Fui em 'Sitema/Administração/Usuários e Grupos' e dei permissão para o meu usuário conectar-se à internet usando modem.

Desde já obrigado.

Agora sim, está tudo bem.

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #829 Online: 28 de Dezembro de 2008, 18:46 »
Alarcon, acabei de resolver o problema e agora posso conectar normalmente sem o terminal.

Fui em 'Sitema/Administração/Usuários e Grupos' e dei permissão para o meu usuário conectar-se à internet usando modem.

Desde já obrigado.

Agora sim, está tudo bem.

Rapaz isso eu até já tinha pensado em lhe dizer, mas como já havia feito isso via terminal (editando o arquivo group) e você tinha retornado que não resolveu nada, então nem sugeri que fizesse isso graficamente, mas o importante é que resolveu.

Abraço,
Alarcon

Offline dtomadon

  • Usuário Ubuntu
  • *
  • Mensagens: 591
  • Fatec SCS,Segurança da Informação, BackTrack5
    • Ver perfil
    • Computação Forense e suas Leis
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #830 Online: 29 de Dezembro de 2008, 20:15 »
Olá, alarcon é com satisfação que posto novamente e agradeço está solução que vc apresentou para o kernel 2.6.27-7-generic, segue abaixo o que saiu no terminal durante a instalação do pacote v27:

Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
make já é a versão mais nova.
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  libswfdec-0.6-90 libavutil1d python-pexpect libdc1394-13 libmilter1
  python-twisted-web python-pycurl libevent1 libpostproc1d tsocks
  libfile-basedir-perl libavformat1d python-qt3 libfile-desktopentry-perl
  libavcodec1d python-smartpm gcc-3.3-base python-kde3
Use 'apt-get autoremove' para removê-los.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
gcc já é a versão mais nova.
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  libswfdec-0.6-90 libavutil1d python-pexpect libdc1394-13 libmilter1
  python-twisted-web python-pycurl libevent1 libpostproc1d tsocks
  libfile-basedir-perl libavformat1d python-qt3 libfile-desktopentry-perl
  libavcodec1d python-smartpm gcc-3.3-base python-kde3
Use 'apt-get autoremove' para removê-los.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
build-essential já é a versão mais nova.
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  libswfdec-0.6-90 libavutil1d python-pexpect libdc1394-13 libmilter1
  python-twisted-web python-pycurl libevent1 libpostproc1d tsocks
  libfile-basedir-perl libavformat1d python-qt3 libfile-desktopentry-perl
  libavcodec1d python-smartpm gcc-3.3-base python-kde3
Use 'apt-get autoremove' para removê-los.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
linux-headers-2.6.27-7-generic já é a versão mais nova.
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  libswfdec-0.6-90 libavutil1d python-pexpect libdc1394-13 libmilter1
  python-twisted-web python-pycurl libevent1 libpostproc1d tsocks
  libfile-basedir-perl libavformat1d python-qt3 libfile-desktopentry-perl
  libavcodec1d python-smartpm gcc-3.3-base python-kde3
Use 'apt-get autoremove' para removê-los.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
(Lendo banco de dados ... 213079 arquivos e diretórios atualmente instalados).
Preparando para substituir libasound2-dev 1.0.17a-0ubuntu4 (usando libasound2-dev_1.0.17a-0ubuntu4_i386.deb) ...
Desempacotando substituto libasound2-dev ...
Configurando libasound2-dev (1.0.17a-0ubuntu4) ...

Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
(Lendo banco de dados ... 213079 arquivos e diretórios atualmente instalados).
Preparando para substituir gnome-ppp 0.3.23-1 (usando gnome-ppp_0.3.23-1_i386.deb) ...
Desempacotando substituto gnome-ppp ...
Configurando gnome-ppp (0.3.23-1) ...

Processando gatilhos para man-db ...
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
Shutting down SmartLink Modem driver normally ... no slmodemd daemon running.
Unloading modem driver from kernel ... none found.
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup
(Lendo banco de dados ... 213079 arquivos e diretórios atualmente instalados).
Preparando para substituir sl-modem-daemon 2.9.10+2.9.9d+e-pre2-5ubuntu4 (usando sl-modem-daemon_2.9.10+2.9.9d+e-pre2-5ubuntu4_i386.deb) ...
Desempacotando substituto sl-modem-daemon ...
Configurando sl-modem-daemon (2.9.10+2.9.9d+e-pre2-5ubuntu4) ...
O usuário `Slmodemd' já existe. Saindo.
update-rc.d: warning: /etc/init.d/sl-modem-daemon missing LSB style header
FATAL: Module ungrab_winmodem not found.
FATAL: Module slamr not found.
Starting SmartLink Modem driver for: auto.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.

Shutting down SmartLink Modem driver normally ... no slmodemd daemon running.
Unloading modem driver from kernel ... snd_atiixp_modem.

Shutting down SmartLink Modem driver normally ... no slmodemd daemon running.
Unloading modem driver from kernel ... none found.
FATAL: Module ungrab_winmodem not found.
FATAL: Module slamr not found.
Starting SmartLink Modem driver for: auto.
Creating /dev/modem symlink, pointing to: /dev/ttySL0.
Make|Gcc|Build-Essential|Linux-Headers-2.6.27-7-generic|Libasound2|Gnome-PPP|Ungrab-Winmodem|Slmodem-2.9.11-20080817|Sl-Modem-Daemon|Dialup

Após ler todos os posts desde a página 51 até a 56 percebi que na instalação do seu pacote v27 e acredito também que o v28 , não está criando a pasta  extra
no caminho /lib/modules/2.6.27-7-generic/extra,  na instalação está sendo criado um arquivo  neste caminho com o nome extra, e não consegui abri-lo com nenhum programa, então segui o que vc sugeriu na pg 53

faz o seguinte, abre o terminal e digita:

sudo gedit /etc/modprobe.d/blacklist-modem

quando abrir o arquivo blacklist-modem você descomenta as linhas:

Citar
# blacklist snd-atiixp-modem
# blacklist snd-intel8x0m
# blacklist snd-via82xx-modem

Descomentar é retirar o símbolo # do início de cada linha ok.

O resultado final do arquivo blacklist-modem seria esse:

Citar
# Uncomment these entries in order to blacklist unwanted modem drivers
blacklist snd-atiixp-modem
blacklist snd-intel8x0m
blacklist snd-via82xx-modem

Estou pedindo isso para que este módulos (snd-atiixp-modem, snd-intel8x0m e snd-via82xx-modem) não sejam mais carregados no boot.

Aí depois vc faz o seguinte:

- reinicia o PC
- sudo /etc/init.d/sl-modem-daemon stop
- sudo modprobe -r slamr
- sudo modprobe -r ungrab-winmodem

e depois reinstala o pacote modem-arquivos-v27.tar.gz e reinicia o PC e só então tenta a conexão pelo gnome-ppp. Esses procedimentos para o Ubuntu 8.10 instalado no HD.

Não se preocupe com qualquer mensagem de erro dos comandos acima ok.

neste ponto ainda não funcionava

aí  fiz também o que sugeriu nesta mesma pág.

Hum, então o erro está aí, por algum motivo os arquivos slamr.ko e ungrab-winmodem.ko não foram copiados para a pasta extra que deveria ter sido criada em /lib/modules/2.6.27-7-generic/ durante o processo de execução do script de instalação. Faz o seguinte com o nautilus aberto como root (comando sudo nautilus no terminal) copie os arquivos slamr.ko e ungrab-winmodem.ko da pasta modem-arquivos-v27 presente na sua pasta de usuário na pasta home e cole em /lib/modules/2.6.27-7-generic/extra, caso a pasta extra não exista, então crie ela, mas antes apague o arquivo extra (uma espécie de arquivo texto, que vc fala), neste local (/lib/modules/2.6.27-7-generic/) e depois no terminal digite:

sudo depmod -a

aí vc deve reiniciar o PC.

bingo o pacote funcionou e estou postando do mue modem motorola sm56 datafax rev 04 ID 1057:3052 , mais uma vez valeu pelo conhecimento que vc nos passa neste fórum,sem vc estariamos naufragos neste mundo da discada, um abraço e feliz ANO NOVO para todos deste fórum.
BacKTrack5 64 bits com Vídeo SIS

kernel omnislash 1.4.4 64 bits , Que venha o 5º Semestre !!!

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #831 Online: 29 de Dezembro de 2008, 21:19 »
Citar
Após ler todos os posts desde a página 51 até a 56 percebi que na instalação do seu pacote v27 e acredito também que o v28 , não está criando a pasta  extra
no caminho /lib/modules/2.6.27-7-generic/extra,  na instalação está sendo criado um arquivo  neste caminho com o nome extra, e não consegui abri-lo com nenhum programa, então segui o que vc sugeriu na pg 53


Refiz os scripts de instalação do pacote modem-arquivos-v27.tar.gz e modem-arquivos-v28.tar.gz para ver se soluciona o problema relatado logo acima de não se criar a pasta extra em  /lib/modules/Versão_kernel/ espero que agora pelo menos este problema seja solucionado.

Que bom que seu motorola sm56 funcionou, é mais um a funcionar. ;D

Offline cris.tom

  • Usuário Ubuntu
  • *
  • Mensagens: 97
  • Linux, uma questão de filosofia!
    • Ver perfil
    • Impressões Sem Pressões
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #832 Online: 30 de Dezembro de 2008, 13:43 »
Alarcon, eu gostaria de tentar usar este arquivo que vc refez, quem sabe o meu motorola não funciona desta vez? Aonde está ele? Vc poderia me dizer? Um abraço e fico no aguardo... :)
Linux, uma questão de filosofia!

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #833 Online: 30 de Dezembro de 2008, 13:59 »
Alarcon, eu gostaria de tentar usar este arquivo que vc refez, quem sabe o meu motorola não funciona desta vez? Aonde está ele? Vc poderia me dizer? Um abraço e fico no aguardo... :)

Estão nos mesmos locais eu apenas fiz uma correção no script e salvei cada pacote com o mesmo nome, mudando apenas o link para download.

Para facilitar, os links são:

modem-arquivos-v27.tar.gz (para ser usado no kernel 2.6.27-7-generic que é o padrão da instalação para o Ubutnu 8.10 32bits):

http://ubuntuforum-br.org/index.php/topic,4204.msg261863.html#msg261863



modem-arquivos-v28.tar.gz (para ser usado no kernel 2.6.27-9-generic o último da atualização mostrada para o Ubutnu 8.10 32bits):

http://ubuntuforum-br.org/index.php/topic,4204.msg262158.html#msg262158



Recomendação, só tente o pacote modem-arquivos-v27.tar.gz depois de reinstalar o Ubutnu 8.10 Intrepid Ibex 32bits e sem ter tentado qualquer outra dica de ativação do modem ok.
« Última modificação: 30 de Dezembro de 2008, 14:00 por alarcon »

Offline rrh

  • Usuário Ubuntu
  • *
  • Mensagens: 25
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #834 Online: 30 de Dezembro de 2008, 18:12 »
Estou precisando de ajuda para instalar o modem motorola. Já instalei o drive slmodem-2.9.11-20080401 e ao rodar /etc/init.d/sl-modem-daemon status aparece slmodemd is running, mas o GNOME PPP não detecta o modem. Como resolver isso?

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #835 Online: 30 de Dezembro de 2008, 18:57 »
Estou precisando de ajuda para instalar o modem motorola. Já instalei o drive slmodem-2.9.11-20080401 e ao rodar /etc/init.d/sl-modem-daemon status aparece slmodemd is running, mas o GNOME PPP não detecta o modem. Como resolver isso?

você poderia informar qual é a versão do Ubuntu que está usando e o resultado dos comandos:

lspci

e

lspci -n

dados no terminal do Ubuntu.

alarcon

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #836 Online: 30 de Dezembro de 2008, 19:05 »
Estou precisando de voluntários (cobaias, hehehe) que tenham um modem suportado pelo driver Smartlink e que tenham o Ubuntu 8.10 Intrepid Ibex 32bits instalado aí, mas que não tenham usado ainda nenhum dos pacotes que faço para ativação do modem nele.

Preferencialmente gostaria que fosse alguém que já tenha usado os meus pacotes nas outras versões do Ubuntu e que o mesmo tenha funcionado. Peço isso por três motivo, primeiro por que já sabe como usar meus pacotes e portanto não terei que explicar no momento todo o procedimento para isso, segundo por que aí saberei com certeza que é um modem que pode ser usado com o driver Smartlink e terceiro por que já será um usuário mais experiente e pode observar para mim qualquer mensagem de erro durante o processo de compilação do driver smartlink embutido nesta nova versão do meu pacote.

Este novo pacote traz embutido uma modificação no último driver smartlink (slmodem-2.9.11-20080817.tar.gz), presente no site do desenvolvedores, para ver se ele compila para a versão do kernel usado no Ubuntu 8.10 32bits, portanto não é como os dois últimos pacotes que já traziam drivers compilados. É muito importante a observação de qualquer erro no processo de compilação, sua parte mais crítica e onde pode dar erros devido a alterações que fiz nos arquivos do driver smartlink.

O link para baixar o pacote chamado de modem-arquivos-v29.tar.gz é esse:

http://www.4shared.com/file/84963221/8a1f302f/modem-arquivos-v29tar.html?dirPwdVerified=33e0a9ae

Atenção que para quem já tem seu modem funcionando com os pacotes anteriores (modem-arquivos-v27.tar.gz e/ou modem-arquivos-v28.tar.gz) não é necessário usar este por enquanto, pois não vá trocar algo que já funciona por algo ainda incerto ok.
« Última modificação: 07 de Fevereiro de 2009, 20:08 por alarcon »

Offline hugoborges

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #837 Online: 30 de Dezembro de 2008, 21:55 »
Como eu procedo para rodar no Kubuntu 8.10 ?
sou novo no mundo linux :)

Risaldo Costa

  • Visitante
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #838 Online: 30 de Dezembro de 2008, 23:29 »
Estou precisando de voluntários (cobaias, hehehe) que tenham um modem suportado pelo driver Smartlink e que tenham o Ubuntu 8.10 Intrepid Ibex 32bits instalado aí, mas que não tenham usado ainda nenhum dos pacotes que faço para ativação do modem nele.

Preferencialmente gostaria que fosse alguém que já tenha usado os meus pacotes nas outras versões do Ubuntu e que o mesmo tenha funcionado. Peço isso por três motivo, primeiro por que já sabe como usar meus pacotes e portanto não terei que explicar no momento todo o procedimento para isso, segundo por que aí saberei com certeza que é um modem que pode ser usado com o driver Smartlink e terceiro por que já será um usuário mais experiente e pode observar para mim qualquer mensagem de erro durante o processo de compilação do driver smartlink embutido nesta nova versão do meu pacote.

Este novo pacote traz embutido uma modificação no último driver smartlink (slmodem-2.9.11-20080817.tar.gz), presente no site do desenvolvedores, para ver se ele compila para a versão do kernel usado no Ubuntu 8.10 32bits, portanto não é como os dois últimos pacotes que já traziam drivers compilados. É muito importante a observação de qualquer erro no processo de compilação, sua parte mais crítica e onde pode dar erros devido a alterações que fiz nos arquivos do driver smartlink.

O link para baixar o pacote chamado de modem-arquivos-v29.tar.gz é esse:

http://www.4shared.com/file/78239039/4d41ba3d/modem-arquivos-v29tar.html?dirPwdVerified=33e0a9ae

Atenção que para quem já tem seu modem funcionando com os pacotes anteriores (modem-arquivos-v27.tar.gz e/ou modem-arquivos-v28.tar.gz) não é necessário usar este por enquanto, pois não vá trocar algo que já funciona por algo ainda incerto ok.

Alarcon, se você quiser estou disposto a testar seu novo pacote.
Aguardo seu contato.

Offline igorhrk

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re: Tutorial para HSP56 MR driver Smartlink
« Resposta #839 Online: 31 de Dezembro de 2008, 00:56 »
Eu também posso ajudar, já consegui fazer uma gabiarra pra instalar o v25 no ubuntu 8.10 :D